#!/bin/bash

loginctl unlock-session
exit_code=$?
time=$(date +"%r")

if [ $exit_code -eq 0 ]; then
    kdeconnect-cli -d "$(kdeconnect-cli -l | grep -oP '(?<=: )\w{8}_\w{4}_\w{4}_\w{4}_\w{12}')" --ping-msg "Unlocked $HOSTNAME ($time)"
else
    kdeconnect-cli -d "$(kdeconnect-cli -l | grep -oP '(?<=: )\w{8}_\w{4}_\w{4}_\w{4}_\w{12}')" --ping-msg "Failed to unlock $HOSTNAME ($time) - Error code: $exit_code"
fi
